Loading...
Searching...
No Matches
bsoncxx::v_noabi::vector::elements::float32 Class Reference

`#include <bsoncxx/v_noabi/bsoncxx/vector/elements.hpp>`

## Description

A 32-bit float value in packed little-endian format.

## Public Member Functions

| float32 (float value) noexcept
| Construct a packed little-endian value from a float input in the local byte order.
| operator float () const noexcept
| Convert a packed little-endian floating point value back to the local byte order.
float32 & | operator*= (float const &other) noexcept
| Operator *=, emulating normal float behavior.
float32 & | operator+= (float const &other) noexcept
| Operator +=, emulating normal float behavior.
float32 & | operator-= (float const &other) noexcept
| Operator -=, emulating normal float behavior.
float32 & | operator/= (float const &other) noexcept
| Operator /=, emulating normal float behavior.

## Constructor & Destructor Documentation

## float32()

bsoncxx::v_noabi::vector::elements::float32::float32 | ( | float | value | ) |

inline noexcept

Construct a packed little-endian value from a float input in the local byte order.

Parameters

  value | Floating point value to convert

## Member Function Documentation

## operator float()

bsoncxx::v_noabi::vector::elements::float32::operator float | ( |  | ) | const

inline noexcept

Convert a packed little-endian floating point value back to the local byte order.

## operator*=()

float32 & bsoncxx::v_noabi::vector::elements::float32::operator*= | ( | float const & | other | ) |

inline noexcept

Operator *=, emulating normal float behavior.

## operator+=()

float32 & bsoncxx::v_noabi::vector::elements::float32::operator+= | ( | float const & | other | ) |

inline noexcept

Operator +=, emulating normal float behavior.

## operator-=()

float32 & bsoncxx::v_noabi::vector::elements::float32::operator-= | ( | float const & | other | ) |

inline noexcept

Operator -=, emulating normal float behavior.

## operator/=()

float32 & bsoncxx::v_noabi::vector::elements::float32::operator/= | ( | float const & | other | ) |

inline noexcept

Operator /=, emulating normal float behavior.

The documentation for this class was generated from the following file:

- bsoncxx/v_noabi/bsoncxx/vector/elements.hpp